# Retrieve an order line item Note: The Order Line Items feature is now generally available to all Zuora customers. You need to enable the Orders feature to access the Order Line Items feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on Orders will have the Order Line Items feature enabled by default. If you are a new customer who onboard on Orders Harmonization and want to enable the Order Line Items feature, submit a request at Zuora Global Support. If you are an existing Orders or Orders Harmonization customer and want to enable the Order Line Items feature, submit a request at Zuora Global Support. Retrieves the detailed information about a specified order line item. The following tutorial demonstrates how to use this operation: * View details of an order line item Endpoint: GET /v1/order-line-items/{itemId} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `itemId` (string, required) The id of the Order Line Item to retrieve. ## Query parameters: - `fulfillment` (boolean) Return the related fulfillments or not. ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. Example: true - `orderLineItem` (object) - `orderLineItem.amount` (number) The calculated gross amount for the Order Line Item. - `orderLineItem.amountWithoutTax` (number) The calculated gross amount for an order line item excluding tax. If the tax mode is tax exclusive, the value of this field equals that of the amount field. If the tax mode of an order line item is not set, the system treats it as tax exclusive by default. The value of the amountWithoutTax field equals that of the amount field. If you create an order line item from the product catalog, the tax mode and tax code of the product rate plan charge are used for the order line item by default. You can still overwrite this default set-up by setting the tax mode and tax code of the order line item. - `orderLineItem.id` (string) The sytem generated Id for the Order Line Item. - `orderLineItem.invoiceGroupNumber` (string,null) The number of the invoice group associated with the order line item. After enabling the Invoice Grouping feature, you can specify invoice group numbers to bill subscriptions and order line items based on specific criteria. For the same account, Zuora generates separate invoices for subscriptions and order line items, each identified by unique invoice group numbers. For more information, see [Invoice Grouping](https://knowledgecenter.zuora.com/Billing/Subscriptions/Invoice_Grouping). Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request during subscription creation, the value of this field is automatically set to null in the response body. - `orderLineItem.quantityFulfilled` (number) The quantity that has been fulfilled by fulfillments for the order line item. This field will be updated automatically when related fulfillments become 'SentToBilling' or 'Complete' state. - `orderLineItem.quantityPendingFulfillment` (number) The quantity that needs to be fulfilled by fulfillments for the order line item. This field will be updated automatically when related fulfillments become 'SentToBilling' or 'Complete' state. - `orderLineItem.UOM` (string) Specifies the units to measure usage. - `orderLineItem.accountingCode` (string) The accountingCode for the Order Line Item. - `orderLineItem.adjustmentLiabilityAccountingCode` (string) The accounting code on the Order Line Item object. This field is available in the request body schema only if you have enabled Order to Revenue or Zuora Billing - Revenue Integration feature. - `orderLineItem.adjustmentRevenueAccountingCode` (string) The accounting code on the Order Line Item object. This field is available in the request body schema only if you have enabled Order to Revenue or Zuora Billing - Revenue Integration feature. - `orderLineItem.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sales order line in Zuora Revenue. - `orderLineItem.amountPerUnit` (number) The actual charged amount per unit for the Order Line Item. - `orderLineItem.billTargetDate` (string) The target date for the Order Line Item to be picked up by bill run for billing. - `orderLineItem.billTo` (string) The ID of the bill-to contact of an order line item. An existing contact under the billing account is specified as the bill-to contact of the order line item. The billing account is the order account. - `orderLineItem.billToSnapshotId` (string) The snapshot of the ID for an account used as the bill-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The billToSnapshotId field is exposed while retrieving the order line item details. - `orderLineItem.billingRule` (string) The billing rule for the Order Line Item. Enum: "TriggerWithoutFulfillment", "TriggerAsFulfillmentOccurs" - `orderLineItem.contractAssetAccountingCode` (string) The accounting code on the Order Line Item object. This field is available in the request body schema only if you have enabled Order to Revenue or Zuora Billing - Revenue Integration feature. - `orderLineItem.contractLiabilityAccountingCode` (string) The accounting code on the Order Line Item object. This field is available in the request body schema only if you have enabled Order to Revenue or Zuora Billing - Revenue Integration feature. - `orderLineItem.contractRecognizedRevenueAccountingCode` (string) The accounting code on the Order Line Item object. This field is available in the request body schema only if you have enabled Order to Revenue or Zuora Billing - Revenue Integration feature. - `orderLineItem.currency` (string) The currency for the order line item. You can specify a currency when creating an order line item through the "Create an order" operation. - `orderLineItem.customFields` (object) Container for custom fields of an Order Line Item object. - `orderLineItem.deferredRevenueAccountingCode` (string) The deferred revenue accounting code for the Order Line Item. - `orderLineItem.description` (string) The description of the Order Line Item. - `orderLineItem.discount` (number) This field shows the total discount amount that is applied to an order line item after the inlineDiscountType, inlineDiscountPerUnit and quantity fields are set. The inline discount is applied to the list price of an order line item (see the listPrice field). - `orderLineItem.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude Order Line Item related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orderLineItem.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude Order Line Item from revenue accounting. Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orderLineItem.inlineDiscountPerUnit` (number) This field is used in accordance with the inlineDiscountType field, in the following manner: * If the inlineDiscountType field is set as Percentage, this field specifies the discount percentage for each unit of the order line item. For exmaple, if you specify 5 in this field, the discount percentage is 5%. * If the inlineDiscountType field is set as FixedAmount, this field specifies the discount amount on each unit of the order line item. For exmaple, if you specify 10 in this field, the discount amount on each unit of the order line item is 10. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. - `orderLineItem.inlineDiscountType` (string) This field is used to specify the inline discount type, which can be Percentage, FixedAmount, or None. The default value is Percentage. This field is used together with the inlineDiscountPerUnit field to specify inline discounts for order line items. The inline discount is applied to the list price of an order line item. Once you set the inlineDiscountType, inlineDiscountPerUnit, and listPricePerUnit fields, the system will automatically generate the amountPerUnit field. You shall not set the amountPerUnit field by yourself. Enum: "Percentage", "FixedAmount", "None" - `orderLineItem.invoiceOwnerAccountId` (string) The account ID of the invoice owner of the order line item. - `orderLineItem.invoiceOwnerAccountName` (string) The account name of the invoice owner of the order line item. - `orderLineItem.invoiceOwnerAccountNumber` (string) The account number of the invoice owner of the order line item. - `orderLineItem.isAllocationEligible` (boolean) This field is used to identify if the charge segment is allocation eligible in revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `orderLineItem.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `orderLineItem.itemCategory` (string) The category for the Order Line Item, to indicate a product sales or return. Enum: "Sales", "Return" - `orderLineItem.itemName` (string) The name of the Order Line Item. - `orderLineItem.itemNumber` (string) The number for the Order Line Item. - `orderLineItem.itemState` (string) The state of the Order Line Item. See [State transitions for an order, order line item, and fulfillment](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AB_Order_Line_Item_States_and_Order_States) for more information. Enum: "Executing", "Booked", "SentToBilling", "Complete", "Cancelled" - `orderLineItem.itemType` (string) The type of the Order Line Item. Enum: "Product", "Fee", "Services" - `orderLineItem.listPrice` (number) The extended list price for an order line item, calculated by the formula: listPrice = listPricePerUnit * quantity - `orderLineItem.listPricePerUnit` (number) The list price per unit for the Order Line Item. - `orderLineItem.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sales order line in Zuora Revenue. - `orderLineItem.originalOrderId` (string) The ID of the original sales order for a return order line item. - `orderLineItem.originalOrderLineItemId` (string) The ID of the original sales order line item for a return order line item. - `orderLineItem.originalOrderLineItemNumber` (string) The number of the original sales order line item for a return order line item. - `orderLineItem.originalOrderNumber` (string) The number of the original sales order for a return order line item. - `orderLineItem.ownerAccountId` (string) The account ID of the owner of the order line item. - `orderLineItem.ownerAccountName` (string) The account name of the owner of the order line item. - `orderLineItem.ownerAccountNumber` (string) The account number of the owner of the order line item. - `orderLineItem.productCode` (string) The product code for the Order Line Item. - `orderLineItem.productRatePlanChargeId` (string) Id of a Product Rate Plan Charge. Only one-time charges are supported. - `orderLineItem.purchaseOrderNumber` (string) Used by customers to specify the Purchase Order Number provided by the buyer. - `orderLineItem.quantity` (number) The quantity of units, such as the number of authors in a hosted wiki service. - `orderLineItem.quantityAvailableForReturn` (number) The quantity that can be returned for an order line item. - `orderLineItem.recognizedRevenueAccountingCode` (string) The recognized revenue accounting code for the Order Line Item. - `orderLineItem.relatedSubscriptionNumber` (string) Use this field to relate an order line item to an subscription. Specify this field to the subscription number of the subscription to relate. - `orderLineItem.requiresFulfillment` (boolean) The flag to show whether fulfillment is needed or not. It's derived from billing rule of the Order Line Item. - `orderLineItem.revenueRecognitionRule` (string) The Revenue Recognition rule for the Order Line Item. - `orderLineItem.revenueRecognitionTiming` (string) Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Upon Billing Document Posting Date", "Upon Order Activation Date" - `orderLineItem.revenueAmortizationMethod` (string) Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Immediate", "Ratable Using Start And End Dates" - `orderLineItem.sequenceSetId` (string,null) The ID of the sequence set associated with the OrderLineItem. - `orderLineItem.communicationProfileId` (string,null) The ID of the communication profile associated with the subscription. - `orderLineItem.shipTo` (string) The ID of a contact that belongs to the owner account or billing account of the order line item. Use this field to assign an existing account as the ship-to contact of an order line item. - `orderLineItem.shipToSnapshotId` (string) The snapshot of the ID for an account used as the ship-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The shipToSnapshotId field is exposed while retrieving the order line item details. - `orderLineItem.soldTo` (string) The ID of a contact that belongs to the owner account or billing account of the order line item. Use this field to assign an existing account as the sold-to contact of an order line item. - `orderLineItem.soldToSnapshotId` (string) The snapshot of the ID for an account used as the sold-to contact of an order line item. This field is used to store the original information about the account, in case the information about the account is changed after the creation of the order line item. The soldToSnapshotId field is exposed while retrieving the order line item details. - `orderLineItem.taxCode` (string) The tax code for the Order Line Item. - `orderLineItem.taxMode` (string) The tax mode for the Order Line Item. Enum: "TaxInclusive", "TaxExclusive" - `orderLineItem.transactionEndDate` (string) The date a transaction is completed. The default value of this field is the transaction start date. Also, the value of this field should always equal or be later than the value of the transactionStartDate field. - `orderLineItem.transactionStartDate` (string) The date a transaction starts. The default value of this field is the order date. - `orderLineItem.unbilledReceivablesAccountingCode` (string) The accounting code on the Order Line Item object. This field is available in the request body schema only if you have enabled Order to Revenue or Zuora Billing - Revenue Integration feature. - `orderLineItem.fulfillments` (array) Container for the fulfillments attached to an order line item. - `orderLineItem.fulfillments.fulfillmentNumber` (string) The sytem generated number for the Fulfillment. - `orderLineItem.fulfillments.id` (string) The sytem generated Id. - `orderLineItem.fulfillments.billTargetDate` (string) The target date for the Fulfillment to be picked up by bill run for billing. - `orderLineItem.fulfillments.carrier` (string) The carrier of the Fulfillment. The available values can be configured in Billing Settings > Fulfillment Settings through Zuora UI. - `orderLineItem.fulfillments.customFields` (object) Container for custom fields of a Fulfillment object. - `orderLineItem.fulfillments.description` (string) The description of the Fulfillment. - `orderLineItem.fulfillments.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude Fulfillment related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orderLineItem.fulfillments.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude Fulfillment from revenue accounting. Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `orderLineItem.fulfillments.externalId` (string) The external id of the Fulfillment. - `orderLineItem.fulfillments.fulfillmentDate` (string) The date of the Fulfillment. - `orderLineItem.fulfillments.fulfillmentLocation` (string) The fulfillment location of the Fulfillment. The available values can be configured in Billing Settings > Fulfillment Settings through Zuora UI. - `orderLineItem.fulfillments.fulfillmentSystem` (string) The fulfillment system of the Fulfillment. The available values can be configured in Billing Settings > Fulfillment Settings through Zuora UI. - `orderLineItem.fulfillments.fulfillmentType` (string) The type of the Fulfillment. Enum: "Delivery", "Return" - `orderLineItem.fulfillments.orderLineItemId` (string) The reference id of the related Order Line Item. - `orderLineItem.fulfillments.quantity` (number) The quantity of the Fulfillment. - `orderLineItem.fulfillments.state` (string) The state of the Fulfillment. See [State transitions for an order, order line item, and fulfillment](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AB_Order_Line_Item_States_and_Order_States) for more information. Enum: "Executing", "Booked", "SentToBilling", "Complete", "Cancelled" - `orderLineItem.fulfillments.trackingNumber` (string) The tracking number of the Fulfillment. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.